package cn.com.qmth.examcloud.service.examwork.dao;

import java.util.List;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.service.examwork.entity.ExamStudent;

public interface ExamStudentRepo extends JpaRepository<ExamStudent, Long>, QueryByExampleExecutor<ExamStudent>, JpaSpecificationExecutor<ExamStudent> {
    Page<ExamStudent> findByExamId(Long examId, Pageable pageable);

    List<ExamStudent> findByExamId(Long examId);

    @Query("select s from ExamStudent s where s.exam.id=?1 group by s.courseCode")
    Page<ExamStudent> findDistinctCourseCode(Long examId, Pageable pageable);

    @Query("select s from ExamStudent s where s.exam.id=?1 and s.courseName like ?2 group by s.courseCode")
    Page<ExamStudent> findDistinctCourseCode(Long examId,String courseName, Pageable pageable);

    List<ExamStudent> findByIdIn(List<Long> ids);

    @Query("select s from ExamStudent s where s.exam.id=?1 and s.courseCode =?2 group by s.paperType")
    List<ExamStudent> findDistinctPaperType(Long examId,String courseCode);
}
