package cn.com.qmth.examcloud.service.examwork.entity;

import cn.com.qmth.examcloud.service.examwork.enums.ExamType;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.*;
import javax.validation.constraints.NotNull;

/**
 * Created by songyue on 17/1/13.
 */
@Entity
@Table(name = "ecs_exam")
public class Exam implements Serializable {

	private static final long serialVersionUID = 4009839764353162256L;

	@Id
	@GeneratedValue
	private Long id;
	
	@NotNull
	private Long orgId;

	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date beginTime;

	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date endTime;

	@NotNull
	private String name;

	private ExamType examType;

	/**
	 * 考试时长
	 */
	private Integer duration;
	/**
	 * 冻结时间
	 */
	private Integer freezeTime;

	private String status;

	private String remark;

	@CreatedDate
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public Date getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(Date beginTime) {
		this.beginTime = beginTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public ExamType getExamType() {
		return examType;
	}

	public void setExamType(ExamType examType) {
		this.examType = examType;
	}

	public Integer getDuration() {
		return duration;
	}

	public void setDuration(Integer duration) {
		this.duration = duration;
	}

	public Integer getFreezeTime() {
		return freezeTime;
	}

	public void setFreezeTime(Integer freezeTime) {
		this.freezeTime = freezeTime;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Exam() {
	}
}
